/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef ETOOLBAR_H
#define ETOOLBAR_H

#include "eglobal.h"

class EAction;

#include <QToolBar>

/**
	* @brief Activates and deactives icons and text accoring the iconsAndText setting.
	*
	* @note QToolBar and therefore also EToolBar is not deleted, if the parent
	*       object is deleted. So you must make sure, that your toolbar is deleted
	*       at the right time by yourself.
	*/
class E_CORE_EXPORT EToolBar : public QToolBar
{
	Q_OBJECT
	public:
    EToolBar(const QString& title, QWidget* parent = 0);
    EToolBar(QWidget* parent = 0);
/*		
		EAction *addAction( QString standardIconName, QString iconPath,  const QString & text,
												const QObject *reciever, const char* member,
												bool enableText = false );
		EAction *addAction( const QString & text, const QObject *reciever, const char* member);*/
		
	private:
		void init();
};

#endif // ETOOLBAR_H
