/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef ELISTREMOVEBUTTON_H
#define ELISTREMOVEBUTTON_H

#include "eglobal.h"
#include "epushbutton.h"

/**
	* @brief Button with icon to be used to remove items to a list.
	*
	* This button has a minus as a sign, to remove items to a list.
	* @see EListAddButton
	* @see ESearchButton
	*/
class E_CORE_EXPORT EListRemoveButton : public EPushButton
{
	Q_OBJECT
	public:
    EListRemoveButton(QWidget* parent = 0);
};

#endif // ELISTREMOVEBUTTON_H
